## org.w3c.tools.sexpr
Interface SExprParser

All Known Subinterfaces:
  SExprStream

public abstract interface SExprParser

An interface for all dispatched "sub-parsers."

Method Summary
`java.lang.Object` | `parse(char first, SExprStream stream)` Dispatched on character first, parse an object from the stream.

Method Detail

### parse

    public java.lang.Object parse(char first,
                                  SExprStream stream)
                           throws SExprParserException,
                                  java.io.IOException

  Dispatched on character first, parse an object from the stream.
  Throws:
    SExprParserException - on syntax error
    java.io.IOException - on I/O related problems (e.g. end of file)